<?php
///////////////////////////////////////////////////////////////////////////////////////
// PHPizabi 0.848b C1 [ALICIA]                               http://www.phpizabi.net //
///////////////////////////////////////////////////////////////////////////////////////
// Please read the license.txt file before using / modifying this software           //
// Original author:         Claude Desjardins, R - feedback@realitymedias.com        //
// Last modification date:  August 13th 2006                                         //
// Version:                 PHPizabi 0.848b C1                                       //
//                                                                                   //
// (C) 2005, 2006 Real!ty Medias / PHPizabi - All rights reserved                    //
///////////////////////////////////////////////////////////////////////////////////////

	/* Check Structure Availability */
	if (!defined("CORE_STRAP")) die("Out of structure call");
	/* Administrative restriction */
	(!me('is_administrator')&&!me('is_superadministrator')?die("Access restricted"):NULL);

	$tpl = new template;
	$tpl -> Load("picturescache");

	// LIST THE CACHE FILES //////////////////////////////////////////////
	$totalFiles = 0;
	
	if ($handle = opendir($CONF["IMAGE_DEFAULT_DIRECTORY"])) {
		while (false !== ($fileName = readdir($handle))) {

			if (strstr($fileName, "CACHE_")) {
			
				// HANDLE THE REMOVE AND FLUSH REQUESTS ///////////////////////////////
				if ((isset($_GET["rm"]) and $_GET["rm"] == $fileName) or isset($_GET["flush"])) {
					unlink($CONF["IMAGE_DEFAULT_DIRECTORY"]."/".$fileName);
				}
				
				else {
			
					$totalFiles ++;
					
					$pictures[] = array(
						"cache.id" => $fileName,
						"cache.size" => round(filesize($CONF["IMAGE_DEFAULT_DIRECTORY"]."/".$fileName)/1024, 2),
						"cache.date" => date($CONF["LOCALE_LONG_DATE"], filemtime($CONF["IMAGE_DEFAULT_DIRECTORY"]."/".$fileName))
					);
				}
			}
		}
	}
	
	if (isset($pictures)) {
		$tpl -> Loop("picturesList", $pictures);
	}
	
	/* Assign the stats */
	$tpl -> AssignArray(array(
		"stats.totalFiles" => $totalFiles,
	));
	

	// TEMPLATE REPROCESS & FLUSH ////////////////////////////////////////////////////
	$tpl -> CleanZones();

	/* Get the frame templates, flush the TPL result into it */
	$frame = new template;
	$frame -> Load("!theme/{$GLOBALS["THEME"]}/templates/admin/frame.tpl");
	$frame -> AssignArray(array(
		"jump" => $tpl->Flush(1)
	));
	
	/* Assign Location Value */
	$locationArray = explode(".", $_GET["L"]);
	for ($i=0; $i<count($locationArray); $i++) {
		$locationAppendResult[] = $locationArray[$i];
		if ($i > 0) $location[] = "<a href=\"?L=".implode(".", $locationAppendResult)."\">{$locationArray[$i]}</a>";
	}
	$frame -> AssignArray(array("location" => implode(" &raquo; ", $location)));
	
	/* Set the forced chromeless mode, flush the template */
	$GLOBALS["CHROMELESS_MODE"] = 1;
	$frame -> Flush();
	
?>